package com.ann.demo.entity.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description 类型
 * @Date 2019/6/12
 * @Created by  ljx
 */
public class AliasName {

    public static final String USER = "用户字典";

    public static final String DEPARTMENT = "科室字典";

    // 超声报告
    public static final String ULTRASONIC_REPORT = "57";

    // 病理检查报告单
    public static final String PATHOLOGY_REPORT = "52";

    // 放射诊断报告单 54
    public static final String RADIATION_REPORT = "54";

    // 心电图报告单 59
    public static final String EKG_REPORT = "59";

    //  入院记录
    public static final String ADMISSION_RECORD = "9";

    //  出院记录
    public static final String DISCHARGE_RECORD = "113";

    //  转科记录
    public static final String TRANSFER_RECORD = "114";

    //  取消入院
    public static final String CANCELLATION_DISCHARGE = "115";

    // 手麻
    public static final String HANDNUMBNESS_REPORT = "117";

    // ICU报告
    public static final String ICU_REPORT = "121";

    // 其他类型 目前来说 是手麻系统的其他三个
    public static final String OTHER = "18";

    // 检查申请单
    public static final String PARAMETER_EXAMAPPLY = "119";

    // 输血单
    public static final String BLOODAPPLY_REPORT = "120";

    //  PET/CT报告单
    public static final String PETCT_REPORT = "60";

    // 检验申请单
    //public static final String PARAMETER_EXAMAPPLY = "118";

    // 检验报告
    public static final String INSPECTION_REPORT = "10";

    // 扫描文件
    public static final String SCANNING_FILE = "30";

    // 护理、医生
    public static final Map<String, String> DOCTOR_MAP;
    public static final Map<String, String> NURSE_MAP;

    // 病案首页
    public static final String MEDICAL_RECORD_HOMEPAGE = "3";


    static {
        DOCTOR_MAP = new HashMap<String, String>();
        DOCTOR_MAP.put("入院记录", "9");
        DOCTOR_MAP.put("病程记录", "11");
        DOCTOR_MAP.put("术前文书", "12");
        DOCTOR_MAP.put("手术资料", "13");
        DOCTOR_MAP.put("讨论记录", "14");
        DOCTOR_MAP.put("会诊记录", "15");
        DOCTOR_MAP.put("出院记录", "113");
        DOCTOR_MAP.put("死亡记录", "17");
        DOCTOR_MAP.put("VTE文书", "23");
        DOCTOR_MAP.put("其他记录", "18");
        DOCTOR_MAP.put("医护共用", "19");
        DOCTOR_MAP.put("知情同意", "20");
        DOCTOR_MAP.put("疾病危重", "21");
        DOCTOR_MAP.put("VTE记录", "22");
        DOCTOR_MAP.put("病案首页", "3");
        DOCTOR_MAP.put("病历文书", "");

        NURSE_MAP = new HashMap<String, String>();
        NURSE_MAP.put("首次护理记录", "7");
        NURSE_MAP.put("护理文书", "6");
        NURSE_MAP.put("专科单护理", "24");
        NURSE_MAP.put("知情文件", "8");
        NURSE_MAP.put("体温单", "5");
        NURSE_MAP.put("护理记录", "2");
        NURSE_MAP.put("评估单", "4");
        NURSE_MAP.put("病历护理文书", "");
    }


}
